- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.ListInvolvedEntitiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.involvedEntities.list

Lists all InvolvedEntities associated with a specific case and alert.

### HTTP request

`GET https://{endpoint}/v1/{parent}/involvedEntities`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list InvolvedEntities for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert}/involvedEntities |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of InvolvedEntities to return. The service may return fewer than this value. If unspecified, at most 50 InvolvedEntities will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `involvedEntities.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of InvolvedEntities. Supported filter fields: \* `entityType`: Filter by the type. \* `id`: Filter by the id. \* `suspicious`: Filter by the suspicious flag. \* `internal`: Filter by the internal flag. \* `threatSource`: Filter by the threat source. \* `operatingSystem`: Filter by the operating system. \* `networkTitle`: Filter by the network title. \* `networkPriority`: Filter by the network priority. \* `attacker`: Filter by the attacker flag. \* `pivot`: Filter by the pivot flag. \* `environment`: Filter by the environment. \* `manuallyCreated`: Filter by the manually created flag. \* `additionalProperties`: Filter by the additional properties. \* `entityUri`: Filter by the source system uri. \* `enriched`: Filter by the enriched flag. \* `artifact`: Filter by the artifact flag. \* `vulnerable`: Filter by the vulnerable flag. \* `fields`: Filter by the fields. Example: `filter="displayName='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of InvolvedEntities in the response. If not specified, InvolvedEntities are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `entityType` \* `id` \* `suspicious` \* `internal` \* `threatSource` \* `operatingSystem` \* `networkTitle` \* `networkPriority` \* `attacker` \* `pivot` \* `environment` \* `manuallyCreated` \* `additionalProperties` \* `entityUri` \* `enriched` \* `artifact` \* `vulnerable` \* `fields` example: "entityType desc, suspicious" |
| `distinctBy` | `string` Optional. Configures distinct by fields for the response. example: "type, identifier" |

### Request body

The request body must be empty.

### Response body

Response message for involvedEntities.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "involvedEntities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities#InvolvedEntity`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `involvedEntities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseAlerts.involvedEntities#InvolvedEntity`)`` The list of InvolvedEntities. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of InvolvedEntities. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.involvedEntities.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).